Subject: [Teas-ns-dt] FW: The word "transport"

From: "Rokui, Reza (Nokia - CA/Ottawa)" <[email-masked]>
Date: Thu, 30 Apr 2020 15:23:15 +0000

All,

I thought I sent this to TEAS and TEAS-NS-DT team before. Forwarding the response to everyone.

Cheers,
Reza

From: Reza Rokui <[email-masked]>
Date: Saturday, April 25, 2020 at 11:37 PM
To: Dhruv Dhody <[email-masked]>, Jari Arkko <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Reza Rokui <[email-masked]>
Subject: Re: The word "transport"

Hi all,

Please see inline for some clarifications.

Reza

On 2020-04-24, 1:31 AM, "Dhruv Dhody" <[email-masked]> wrote:

    Hi Reza,

    I am putting the relevant text here -

    ==

    [14:28:42] <adrianfarrel> I'm getting very confused by everyone

    talking about "transport networks" and "transport slices". Is this

    something coming out of 3GPP?

[Reza] Please note that the “Transport Slice” from IETF point of view is not only limited to 5G network slicing.

5G network slicing is just one use-case of transport slicing as described in Transport Slice definition draft.

Regarding 5G use-case, the following figure is taken from 3GPP TS 28.530 where the “Transport slice” is described as “Connectivity” across transport network.

This is the reason that what has been described in our draft for “Transport Slices” is a set of Connections between various endpoints with certain SLOs.

Note that 3GPP did not define the Transport slice explicitly.

    [14:29:06] <adrianfarrel> Seems to me that we (for example, ACTN) went

    through a lot to clarify that "transport network" was sub-IP

    [14:29:17] <adrianfarrel> ...maybe even sub-MPLS

[Reza] Transport networks (which are technology specific) are used to realized “Transport Slices”. Please see draft for more info.

    [14:31:39] <Joel Halpern> "Transport Network" is the industry

    terminology for the network that connects the radio (and related gear)

    to the packet core (and related gear).

    [14:32:03] <Joel Halpern> It is indeed a different usage.  I wish it

    were not overloading.  But they didn't ask me.

    [14:32:47] <Joel Halpern> Which part it refers to in a fixed access

    network is even less clear.

[Reza] The following figure is taken from 3GPP TS 28.530 where it shows various “Transport slices”.

Note that the “Transport Slices” are not only used for RAN to Core. Depends on the deployment, we can have

Transport slices in RAN for midhaul and fronthaul, in 5G Core or for application. All these transport slices are shown below.

] 

    [14:39:54] <adrianfarrel> I understand why 3GPP uses the term. I don't

    understand why we use the term. We could talk about 'Foobar slices'

    and add one line that says "In the 3GPP, the term 'Transport Slice' is

    used for what we call a 'Foobar Slice'."

[Reza]  Note that 3GPP used the term “slice subnet” when describing it in context of 5G Core and RAN (i.e Core Slice Subnet and RAN Slice Subnet).

They did not define anything related to Transport. As indicated above, 3GPP refer it to “Connectivity”.

We did not want to use Subnet because in IP,  subnet has a very clear definition and using term “Transport Subnet” is completely misleading. So, we chose Transport Slice.

Also since the connectivity between various endpoints are across transport network (i.e. IP, Optics, PON, Microware etc.), it is logical to assume the Connections are called Transport Slice.

    [14:40:18] <adrianfarrel> We *already* have two definitions of

    "transport" in the IETF. We really don't need three

[Reza] Please provide links to these two definition.

    [14:59:00] <adrianfarrel> Well, I picked "foobar' in order to not jump

    immediately to a strawman solution. I think we are talking about

    providing slices as a service across the Internet. Same level of entry

    as a VPN: that is, the consumer provides a packet stream to the

    service entry point, and expects the packets to be delivered to the

    service exit point. Obviously, the consumer of the service may see the

    service as a transport (cf. pseudowires), but we would be 'alarmed' to

    hear a L3VPN described as a 'transport VPN.'

[Reza] VPN is one of the  solutions to realize the transport slices in IP networks.

However, The idea of Transport Slice is to allow a high-level system (or consumer or an Orchestrator) to ask for a various connections (i.e. Transport slices) across  IP, Optics, PON, Microwave or any combination of these networks. We shall not limit ourselves to IP VPN.

Note that the definition of the Transport slice is technology agnostic. For example in 5G you can realize a transpot slice in midhaul (please refer to picture above) which is a set of connections between 5G RAN nodes using PON or Optical connection. In this case there is no IP VPN.

In summary, since the connectivity between various endpoints are across transport network (i.e. IP, Optics, PON, Microware etc.), it is logical to assume the Connections are called Transport Slice.

    Full logs - https://www.ietf.org/jabber/logs/teas/2020-04-23.html

    ==

    More inline..

    On Thu, Apr 23, 2020 at 10:27 PM Rokui, Reza (Nokia - CA/Ottawa)

    <[email-masked]> wrote:

    > Hi Dhruv,

    > As far as I remember, we did not have any argument about term "transport". It was agreed that the term "Transport" is suited in context of network slicing.

    > The initial discussion was "Transport network slicing" which later we agreed to remove "network" since it causes confusion since IETF do not cover the e2e network slicing but rather the transport part.

    > I was not clear about Adrian's comment regarding term "transport". IMHO, this term is well suited since it convers any underlying technology for L0 to L3.

    In CCAMP/TEAS circles, the transport network term might not be used

    for L3 (and thus the confusion). And then there are the Transport

    Protocols! Definition draft should include some clarity on what do we

    mean when we say transport network at the least!

    It would be good to get this resolved sooner as we develop multiple

    documents that uses the same terminology!

    Thanks!

    Dhruv

    > Reza

    > On 2020-04-23, 12:35 PM, "Dhruv Dhody" <[email-masked]> wrote:

    >     Hi,

    >     Adrian gave some comments on jabber about using the word "transport".

    >     During RFC8453 devolpment, this came up where TN in ACTN was transport

    >     networks and it was changed to TE networks to avoid using the

    >     overloaded term "transport".

    >     We need to find a way to justify using this term and maybe describe

    >     this more in the definition draft - and just saying that 3GPP uses

    >     that term may not work I guess!

    >     Was this discussed in the design team earlier, i joined the effort

    >     much later.

    >     Thanks!

    >     Dhruv